#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private OrderflowsBulge[] cacheOrderflowsBulge;

		
		public OrderflowsBulge OrderflowsBulge()
		{
			return OrderflowsBulge(Input);
		}


		
		public OrderflowsBulge OrderflowsBulge(ISeries<double> input)
		{
			if (cacheOrderflowsBulge != null)
				for (int idx = 0; idx < cacheOrderflowsBulge.Length; idx++)
					if ( cacheOrderflowsBulge[idx].EqualsInput(input))
						return cacheOrderflowsBulge[idx];
			return CacheIndicator<OrderflowsBulge>(new OrderflowsBulge(), input, ref cacheOrderflowsBulge);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.OrderflowsBulge OrderflowsBulge()
		{
			return indicator.OrderflowsBulge(Input);
		}


		
		public Indicators.OrderflowsBulge OrderflowsBulge(ISeries<double> input )
		{
			return indicator.OrderflowsBulge(input);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.OrderflowsBulge OrderflowsBulge()
		{
			return indicator.OrderflowsBulge(Input);
		}


		
		public Indicators.OrderflowsBulge OrderflowsBulge(ISeries<double> input )
		{
			return indicator.OrderflowsBulge(input);
		}

	}
}

#endregion
